logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



ModSecurity 2.9.1

 
Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules



View previous topic :: View next topic  
Author Message
DnvrSysEngr



Joined: 15 Apr 2012
Posts: 158
Location: Denver, CO USA

PostPosted: Tue 22 Mar '16 21:46    Post subject: ModSecurity 2.9.1 Reply with quote

Will anyone be compiling ModSecurity 2.9.1 for Apache 2.4 in VC14 (both 32-bit and 64-bit)?

Thank you in advance.

-S
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2581
Location: Hilversum, NL, EU

PostPosted: Fri 25 Mar '16 12:29    Post subject: Reply with quote

Common with mod-security is that with a new release issues are popping up after some time.

So policy is to wait some time or even skip a release.

And indeed there is already an issue: https://github.com/SpiderLabs/ModSecurity/compare/v2.9.1...master

Do not know if we affected, but to be save we wait.


10 April 2016 available for VC14
Back to top
elav83



Joined: 10 Nov 2014
Posts: 16
Location: India

PostPosted: Tue 11 Apr '17 9:51    Post subject: Reply with quote

Hello,

I'm getting error/warning while compiling Yajl in windows 7 x64 machine.

c:\mod_security_src\yajl\src\build>cmake ..
CMake Error at CMakeLists.txt:43 (SET_TARGET_PROPERTIES):
set_target_properties called with incorrect number of arguments.


CMake Warning (dev) in CMakeLists.txt:
No cmake_minimum_required command is present. A line of code such as

cmake_minimum_required(VERSION 3.3)

should be added at the top of the file. The version specified may be lower
if you wish to support older CMake versions for this project. For more
information run "cmake --help-policy CMP0000".



After compiling yajl how to link with mod security.
I'm using the following command for modsecurity compilation. Since curl is optional, I removed from the Makefile.win.

NMAKE -f Makefile.win APACHE=C:\Apache24 PCRE=C:\mod_security_src\pcre-8.40 LIBXML2=C:\mod_security_src\libxml2-2.9.4 LUA=C:\mod_security_src\lua-5.1.5\src install
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2581
Location: Hilversum, NL, EU

PostPosted: Tue 11 Apr '17 12:11    Post subject: Reply with quote

In makefile


add to DEFS: -DWITH_YAJL

to includes: -I$(YAJL)\include -I$(YAJL)

to libs: $(YAJL)\lib\yajl.lib

And add YAJL=..... to the NMAKE
Back to top
elav83



Joined: 10 Nov 2014
Posts: 16
Location: India

PostPosted: Mon 24 Apr '17 7:03    Post subject: Reply with quote

Thanks Steffen for the response.
Now I'm able to compile Yajl.

The problem is with the path. The document "Building.win32" says we have to create build directory and run the cmake cmd from there.
c:\mod_security_src\yajl\src\build

It doesn't work.

The compilation is successful if we run the commands from src directory without creating build directory.
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules
Page 1 of 1